<?php

/**
 * @author Edwin Gonzalez
 * @copyright Tucompra S.A.S
 */

class TuCompraPaymentModuleFrontController extends ModuleFrontController
{
	public $display_column_left = false;
    public $ssl = true;

	public function initContent()
	{
		parent::initContent();

        $cart = $this->context->cart;

		$is_16 = true;
		if (version_compare(_PS_VERSION_, '1.6') < 0)
			$is_16 = false;

        $this->context->smarty->assign(array(
			'is_16' => $is_16,
            'nbProducts' => $cart->nbProducts(),
            'total' => $cart->getOrderTotal(true, 3),
            'this_path' => $this->module->getPathUri(),
			'this_path_ssl' => Tools::getHttpHost(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/'
        ));

        $this->setTemplate('payment_execution.tpl');
	}
}