<?php

/**
 * @author Edwin Guillermo Gonzalez
 * @copyright Tucompra S.A.S 2018
 */

include(dirname(__FILE__) . '/../../config/config.inc.php');
include(dirname(__FILE__) . '/../../header.php');
include(dirname(__FILE__) . '/tucompra.php');

$tuCompra = new TuCompra();

if ($cart->id_customer == 0 OR $cart->id_address_delivery == 0 OR $cart->id_address_invoice == 0 OR !$tuCompra->active)
    Tools::redirectLink(__PS_BASE_URI__ . 'order.php?step=1');

    // Check that this payment option is still available in case the customer changed his address just before the end of the checkout process
    $authorized = false;
    foreach (Module::getPaymentModules() as $module)
        if ($module['name'] == 'tucompra') {
            $authorized = true;
	    echo "<script>console.log('Autorizado');</script>";
            break;
        }
    if (!$authorized){
        die(Tools::displayError('This payment method is not available.'));
	}

$customer = new Customer((int) $cart->id_customer);

if (!Validate::isLoadedObject($customer))
    Tools::redirectLink(__PS_BASE_URI__ . 'order.php?step=1');

$customer = new Customer((int) $cart->id_customer);
$total = $cart->getOrderTotal(true, 3);
$ps_tucompra=Configuration::get('PS_OS_TUCOMPRA');
if (floatval(substr(_PS_VERSION_, 0, 3)) > 1.4)
    $tuCompra->validateOrder((int) $cart->id, Configuration::get('PS_OS_TUCOMPRA'), $total, $tuCompra->displayName, NULL, array(), NULL, false, $customer->secure_key);
else
    $tuCompra->validateOrder((int) $cart->id, Configuration::get('PS_OS_TUCOMPRA'), $total, $tuCompra->displayName, NULL, array(), NULL, false);

$order = new Order((int) $tuCompra->currentOrder);
Tools::redirectLink(__PS_BASE_URI__ . 'order-confirmation.php?key=' . $customer->secure_key . '&id_cart=' . (int) ($cart->id) . '&id_module=' . (int) $tuCompra->id . '&id_order=' . (int) $tuCompra->currentOrder);

include(dirname(__FILE__) . '/../../footer.php');
?>