{capture name=path}{l s='Finish' mod='tucompra'}{/capture}


{extends file=$layout}

{block name='content'}

  <section id="main">

    {block name='page_header_container'}
      {block name='page_title' hide}
        <header class="page-header">
          <h1>{$smarty.block.child}</h1>
        </header>
      {/block}
    {/block}

    {block name='page_content_container'}
      <section id="content" class="page-content card card-block">
        {block name='page_content_top'}{/block}
        {block name='page_content'}
          <div align="center">
				<h2>{l s='Finish' mod='tucompra'}</h2>
				{if $confirm}
					<p>{l s='Thank you for your purchase.' mod='tucompra'}</p>        
					<p>{l s='For any questions or problems with your order or transaction, please contact' mod='tucompra'}&nbsp;<a>{l s='customer support.' mod='tucompra'}</a></p>
				{else}
					<p>{l s='Signature does not validate.' mod='tucompra'}</p>
					<br />
					<p>{l s='For contact our support area for details of the problem of the transaction.' mod='tucompra'}&nbsp;<a>{l s='customer support' mod='tucompra'}</a></p>
				{/if}
			</div>
        {/block}
      </section>
    {/block}

    {block name='page_footer_container'}
      <footer class="page-footer">
        {block name='page_footer'}
          <!-- Footer content -->
        {/block}
      </footer>
    {/block}

  </section>

{/block}