{*
 * @author Edwin Guillermo Gonzalez
 * @copyright TuCompra S.A.S
 *}
 
{if $status}
	<p>{l s='Your order on' mod='tucompra'} <span class="bold"></span> {l s='is complete.' mod='tucompra'}
		<br /><br />
		{l s='Please click the button below to complete payment.' mod='tucompra'}
		<br /><br />- {l s='Total to pay' mod='tucompra'} <span class="price">{$total_to_pay}</span>
		<br /><br />- {l s='Do not forget to remember your order #' mod='tucompra'}<span class="bold">{$order->id|string_format:"%06d"}</span>
		<br /><br />{l s='An e-mail has been sent to you with this information.' mod='tucompra'}
		<br /><br /><span class="bold">{l s='Your order will be sent as soon as we receive your payment.' mod='tucompra'}</span>
		<br /><br />{l s='For any questions or for further information, please contact our' mod='tucompra'} <a href="{$base_dir_ssl}contact-form.php" onclick="target='_blank'">{l s='customer support' mod='tucompra'}</a>.
		<br /><br />
	</p>
    <form method="post" action="{if $paramsTC.IS_DEMO}{$paramsTC.GATEWAY_DEMO}{else}{$paramsTC.GATEWAY_PRODUCTION}{/if}" name="frmPaymentTuCompra" id="frmPaymentTuCompra">
    	<input name="usuario" type="hidden" value="{$paramsTC.ID_COMMERCE}" />
        <input name="factura" type="hidden" value="{$order->id}" />
        <input name="valor" type="hidden" value="{$total}" />
        <input name="tipoMoneda" type="hidden" value="{$currency->iso_code}" />
        <input name="tipoMoneda" type="hidden" value="COP" />*}
        <input name="descripcionFactura" type="hidden" value="{l s='Order #' mod='tucompra'}{$order->id|string_format:"%06d"} {l s='in' mod='tucompra'}" />
        <input name="documentoComprador" type="hidden" value="{$address->dni}" />
        <input name="nombreComprador" type="hidden" value="dgdfg" />
        <input name="apellidoComprador" type="hidden" value="{$customer->lastname}" />
        <input name="correoComprador" type="hidden" value="{$customer->email}" />
        <input name="direccionComprador" type="hidden" value="{$address->address1}" />
        <input name="telefonoComprador" type="hidden" value="{$address->phone}" />
        <input name="celularComprador" type="hidden" value="{$address->phone_mobile}" />
        <input name="ciudadComprador" type="hidden" value="{$address->city}" />
        <input name="paisComprador" type="hidden" value="{$country_name}" />                  
        
    	<input type="submit" name="submitPaymentTuCompra" value="{l s='Pay now' mod='tucompra'}" class="{if $is_16}btn btn-primary{else}button{/if}" style="margin: 0 auto"/>
    </form>
    
    <script language="JavaScript" type="text/javascript">
    	setTimeout("$('#frmPaymentTuCompra').submit();",3000);
    </script>
	
{else}
    <p class="warning">
		{l s='We noticed a problem with your order. If you think this is an error, you can contact our' mod='tucompra'} 
		<a href="{$link->getPageLink('contact', true)}">{l s='customer support' mod='tucompra'}</a>.
	</p>
{/if}