<?php

/**
 * @author PresTeamShop.com
 * @copyright PresTeamShop.com - 2013
 */
class TuCompraConfirmationModuleFrontController extends ModuleFrontController {
    public $ssl = true;

    public function initContent() {
	    $this->display_column_left = FALSE;
	    $this->display_column_right = TRUE;
		parent::initContent();
		
        $codigoFactura = Tools::getValue('codigoFactura');
        $valorFactura = Tools::getValue('valorFactura');
        $transaccionAprobada = Tools::getValue('transaccionAprobada');
        $codigoAutorizacion = Tools::getValue('codigoAutorizacion');
        $firmaTuCompra = Tools::getValue('firmaTuCompra');
        $numeroTransaccion = Tools::getValue('numeroTransaccion');
        $metodoPago = Tools::getValue('metodoPago');

        $_firmaTuCompra = $this->module->key_encryption . ";" . $codigoFactura . ";" . $valorFactura . ";" . $codigoAutorizacion;

        if (md5($_firmaTuCompra) == $firmaTuCompra) {
			$this->context->smarty->assign('confirm', 1);
            $id_order_state = 0;

            if($transaccionAprobada == -1 || $transaccionAprobada == 2)
                $id_order_state = Configuration::get('PS_OS_CANCELED');
            else if($transaccionAprobada == 1)
                $id_order_state = Configuration::get('PS_OS_PAYMENT');
            else 
                $id_order_state = Configuration::get('PS_OS_ERROR');

            $OrderHistory = new OrderHistory();
            $OrderHistory->id_order = (int) $codigoFactura;
            $OrderHistory->changeIdOrderState((int) $id_order_state, $OrderHistory->id_order);

            $orderState = $OrderHistory->getLastOrderState($OrderHistory->id_order);

            if($orderState->paid != 1) {
                $OrderHistory->addWithemail(true, array());
            }
        }else{
			$this->context->smarty->assign('confirm', 0);
        }
		
		$this->context->smarty->assign(array(
            'codigoFactura' => $codigoFactura,
            'valorFactura' => $valorFactura,
            'metodoPago' => $metodoPago,
            'numeroTransaccion' => $numeroTransaccion
        ));
		
		$this->setTemplate('module:tucompra/views/templates/front/finish.tpl');
    }

}