<?php

/**
 * @author Edwin Guillermo Gonzalez
 * @copyright Tucompra S.A.S 2018
 */

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/tucompra.php');

global $smarty;

$tuCompra = new TuCompra();

$codigoFactura          = Tools::getValue('codigoFactura');
$valorFactura           = Tools::getValue('valorFactura');
$transaccionAprobada    = Tools::getValue('transaccionAprobada');
$codigoAutorizacion     = Tools::getValue('codigoAutorizacion');
$firmaTuCompra          = Tools::getValue('firmaTuCompra');
$numeroTransaccion      = Tools::getValue('numeroTransaccion');
$metodoPago             = Tools::getValue('metodoPago');

$_firmaTuCompra = $tuCompra->key_encryption.";".$codigoFactura.";".$valorFactura.";".$codigoAutorizacion;

if(md5($_firmaTuCompra) == $firmaTuCompra)
    $smarty->assign('confirm', 1);
else
    $smarty->assign('confirm', 0);

$smarty->assign(
    array(
        'codigoFactura' => $codigoFactura,
        'valorFactura' => $valorFactura,
        'metodoPago' => $metodoPago,
        'numeroTransaccion' => $numeroTransaccion
    )
);

Tools::redirectLink(__PS_BASE_URI__ . 'order-confirmation.php?key=' . $customer->secure_key . '&id_cart=' . (int) ($cart->id) . '&id_module=' . (int) $tuCompra->id . '&id_order=' . (int) $tuCompra->currentOrder);
include(dirname(__FILE__).'/../../footer.php');

?>